Bug 223380 - databases/clickhouse update to 1.1.54318
Summary: databases/clickhouse update to 1.1.54318
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-02 14:01 UTC by proler
Modified: 2017-12-02 15:22 UTC (History)
1 user (show)

See Also:
proler: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description proler 2017-11-02 14:01:33 UTC
actual port version in usable format: https://github.com/proller/freebsd-ports/tree/master/databases/clickhouse


diff:

diff --git a/databases/clickhouse/Makefile b/databases/clickhouse/Makefile
index 30e6abe..0318af9 100644
--- a/databases/clickhouse/Makefile
+++ b/databases/clickhouse/Makefile
@@ -2,11 +2,11 @@
 # $FreeBSD: head/databases/clickhouse/Makefile 451394 2017-10-06 18:23:08Z jbeich $
 
 PORTNAME=	clickhouse
-PORTVERSION=	1.1.54304
+PORTVERSION=	1.1.54310
 DISTVERSIONPREFIX=	v
 DISTVERSIONSUFFIX=	-stable
 #DISTVERSIONSUFFIX=	-testing
-PORTREVISION=	1
+#PORTREVISION=	1
 CATEGORIES=	databases
 
 MAINTAINER=	proler@gmail.com
@@ -30,7 +30,8 @@ LIB_DEPENDS=	libtcmalloc.so:devel/google-perftools \
 		liblz4.so:archivers/liblz4 \
 		libPocoNet.so:devel/poco \
 		libcpuid.so:sysutils/libcpuid \
-		libunwind.so:devel/libunwind
+		libunwind.so:devel/libunwind \
+		librdkafka.so:net/librdkafka
 
 USE_GITHUB=	yes
 GH_ACCOUNT=	yandex
diff --git a/databases/clickhouse/distinfo b/databases/clickhouse/distinfo
index 483b9ec..c5e76a5 100644
--- a/databases/clickhouse/distinfo
+++ b/databases/clickhouse/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1508863744
-SHA256 (yandex-ClickHouse-v1.1.54304-stable_GH0.tar.gz) = 98ec354b700de8837ec25d691e70688cbae495b5e7a14da98b5adbaa77034cf0
-SIZE (yandex-ClickHouse-v1.1.54304-stable_GH0.tar.gz) = 12995159
+TIMESTAMP = 1509623832
+SHA256 (yandex-ClickHouse-v1.1.54310-stable_GH0.tar.gz) = 076a4c7bb14aded137b2d3859b4800b34e49f540a11da030a3c9fbdab83cd05e
+SIZE (yandex-ClickHouse-v1.1.54310-stable_GH0.tar.gz) = 10084781
Comment 1 proler 2017-12-01 18:51:40 UTC
diff to 1.1.54318

diff -ruN /usr/ports/databases/clickhouse/Makefile ./Makefile
--- /usr/ports/databases/clickhouse/Makefile    2017-11-09 05:31:47.000000000 +0300
+++ ./Makefile  2017-12-01 17:29:16.714222000 +0300
@@ -1,14 +1,17 @@
 # Created by: proler@gmail.com
-# $FreeBSD: head/databases/clickhouse/Makefile 453790 2017-11-09 02:31:47Z jbeich $
+# $FreeBSD: head/databases/clickhouse/Makefile 451394 2017-10-06 18:23:08Z jbeich $

 PORTNAME=      clickhouse
-PORTVERSION=   1.1.54304
+PORTVERSION=   1.1.54318
 DISTVERSIONPREFIX=     v
 DISTVERSIONSUFFIX=     -stable
 #DISTVERSIONSUFFIX=    -testing
-PORTREVISION=  2
+#PORTREVISION= 1
 CATEGORIES=    databases

+PATCH_SITES=   https://github.com/${GH_ACCOUNT}/${GH_PROJECT}/commit/
+PATCHFILES=    fa65bdcf4847.patch:-p1
+
 MAINTAINER=    proler@gmail.com
 COMMENT=       ClickHouse is an column-oriented database management system

@@ -30,7 +33,8 @@
                liblz4.so:archivers/liblz4 \
                libPocoNet.so:devel/poco \
                libcpuid.so:sysutils/libcpuid \
-               libunwind.so:devel/libunwind
+               libunwind.so:devel/libunwind \
+               librdkafka.so:net/librdkafka

 USE_GITHUB=    yes
 GH_ACCOUNT=    yandex
diff -ruN /usr/ports/databases/clickhouse/distinfo ./distinfo
--- /usr/ports/databases/clickhouse/distinfo    2017-10-29 23:10:22.000000000 +0300
+++ ./distinfo  2017-12-01 17:29:26.412192000 +0300
@@ -1,3 +1,5 @@
-TIMESTAMP = 1508863744
-SHA256 (yandex-ClickHouse-v1.1.54304-stable_GH0.tar.gz) = 98ec354b700de8837ec25d691e70688cbae495b5e7a14da98b5adbaa77034cf0
-SIZE (yandex-ClickHouse-v1.1.54304-stable_GH0.tar.gz) = 12995159
+TIMESTAMP = 1512138566
+SHA256 (yandex-ClickHouse-v1.1.54318-stable_GH0.tar.gz) = 2ccbf503694d19c8dad3bbc4abc4665ca0440b6084b6ccd484c9791d538790f8
+SIZE (yandex-ClickHouse-v1.1.54318-stable_GH0.tar.gz) = 10006834
+SHA256 (fa65bdcf4847.patch) = 4c6c522fcf3f5a5ca6f958ae71ea819131214843c58872e110cfcccb9c14e4fa
+SIZE (fa65bdcf4847.patch) = 7496
Comment 2 Lev A. Serebryakov freebsd_committer 2017-12-02 15:21:58 UTC
Committed, thnx!
Comment 3 commit-hook freebsd_committer 2017-12-02 15:22:36 UTC
A commit references this bug:

Author: lev
Date: Sat Dec  2 15:21:30 UTC 2017
New revision: 455378
URL: https://svnweb.freebsd.org/changeset/ports/455378

Log:
   Update to 1.1.54318

  PR:		223380
  Submitted by:	proler@gmail.com
  Approved by:	proler@gmail.com

Changes:
  head/databases/clickhouse/Makefile
  head/databases/clickhouse/distinfo